org.apache.ignite.ml.trainers

## Class SingleLabelDatasetTrainer<M extends IgniteModel>

- java.lang.Object
- - org.apache.ignite.ml.trainers.DatasetTrainer<M,Double>
  - - org.apache.ignite.ml.trainers.SingleLabelDatasetTrainer<M>

- Type Parameters:
    `M` - Type of a produced model.
  Direct Known Subclasses:
    ANNClassificationTrainer, CompoundNaiveBayesTrainer, DecisionTreeTrainer, DiscreteNaiveBayesTrainer, GaussianNaiveBayesTrainer, GmmTrainer, KMeansTrainer, KNNTrainer, LinearRegressionLSQRTrainer, LinearRegressionSGDTrainer, LogisticRegressionSGDTrainer, OneVsRestTrainer, RandomForestTrainer, SVMLinearClassificationTrainer

      public abstract class SingleLabelDatasetTrainer<M extends IgniteModel>
      extends DatasetTrainer<M,Double>

  Interface for trainers that trains on dataset with singe label per object.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.ignite.ml.trainers.DatasetTrainer

      `DatasetTrainer.EmptyDatasetException`

  - ### Field Summary

    - ### Fields inherited from class org.apache.ignite.ml.trainers.DatasetTrainer

      `envBuilder, environment`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SingleLabelDatasetTrainer()`

  - ### Method Summary

    - ### Methods inherited from class org.apache.ignite.ml.trainers.DatasetTrainer

      `fit, fit, fit, fit, fit, fit, fitWithInitializedDeployingContext, getLastTrainedModelOrThrowEmptyDatasetException, identityTrainer, isUpdateable, learningEnvironment, update, update, update, update, update, updateModel, withConvertedLabels, withEnvironmentBuilder`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SingleLabelDatasetTrainer

          public SingleLabelDatasetTrainer()

2022 Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.12.0
Release Date | : January 10 2022